Modified sysinfos for SATA cdrom
[hvlinux.git] / stage2 / cis-coreutils
index f96ab6e..e540705 100755 (executable)
@@ -1,4 +1,6 @@
-#!/bin/sh
+#!/bin/bash
+set -o errexit
+
 # First argument of this script is the package name
 
 # Reading system configuration informations, functions and package versions.
@@ -7,28 +9,27 @@ source ../functions
 source ../packages-list
 
 # Applying patches (if any)
-apply_patches ${1} &&
+apply_patches ${1}
 
-#--enable-no-install-program=kill,uptime
-#    The purpose of this switch is to prevent Coreutils from installing binaries that will be installed by other packages later.
-cd ${LFS_TMP}/${1}-build &&
+cd ${LFS_TMP}/${1}-build
 ../${1}/configure \
     --prefix=/usr \
-    --enable-install-program=hostname \
-    --enable-no-install-program=kill,uptime &&
-make -j ${MAKEJOBS} &&
-make install &&
+    --enable-no-install-program=kill,uptime
+make -j ${MAKEJOBS}
+make install
 
 # Move some programs to their proper FHS locations:
-mv -v /usr/bin/{cat,chgrp,chmod,chown,cp,date,dd,df,echo} /bin &&
-mv -v /usr/bin/{false,hostname,ln,ls,mkdir,mknod,mv,pwd,readlink,rm} /bin &&
-mv -v /usr/bin/{rmdir,stty,sync,true,uname} /bin &&
-mv -v /usr/bin/chroot /usr/sbin &&
+mv -v /usr/bin/{cat,chgrp,chmod,chown,cp,date,dd,df,echo} /bin
+mv -v /usr/bin/{false,ln,ls,mkdir,mknod,mv,pwd,rm} /bin
+# Now specify new path to mv to eliminate error message:
+#   "/usr/bin/mv: No such file or directory" 
+/bin/mv -v /usr/bin/{rmdir,stty,sync,true,uname} /bin
+/bin/mv -v /usr/bin/chroot /usr/sbin
 
 # Some of the scripts in the LFS-Bootscripts package depend on head
 # sleep and nice. As /usr may not be available during the early stages
 # of booting, those binaries need to be on the root partition:
-mv -v /usr/bin/{head,sleep,nice} /bin
+/bin/mv -v /usr/bin/{head,sleep,nice} /bin
 
 # Return last error
 exit $?